package de.hft.geotracker.retrofit

import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Query

interface GeofenceService {
    @POST("/login")
    fun login(@Body login_data: ValuesUserLogin): Call<Void>

    @GET("whoami")
    fun getUser(): Call<ValuesUser>

    @GET("accounts")
    fun getAccounts(): Call<EmbeddedAccounts>

    @GET("track")
    fun triggerTracking(@Query("account") account: String): Call<ValuesTracking>
}